Bug 79144 - [MAINTAINER] irc/kvirc: update to 3.2.0
Summary: [MAINTAINER] irc/kvirc: update to 3.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-22 20:50 UTC by Michael Ranner
Modified: 2005-04-16 23:19 UTC (History)
0 users

See Also:


Attachments
kvirc-3.2.0.patch (43.85 KB, patch)
2005-03-22 20:50 UTC, Michael Ranner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Ranner 2005-03-22 20:50:02 UTC
- Update to 3.2.0

Removed file(s):
- files/patch-modules-snd

Generated with FreeBSD Port Tools 0.63
Comment 1 Thierry Thomas freebsd_committer 2005-03-22 21:36:34 UTC
Hello,

Le Mar 22 mar 05 à 22:49:27 +0100, Michael Ranner <mranner@inode.at>
 écrivait :

> --- kvirc-3.2.0.patch begins here ---
> diff -ruN --exclude=CVS /usr/ports/irc/kvirc/Makefile /usr/ports/irc/kvirc.update/Makefile
> --- /usr/ports/irc/kvirc/Makefile	Sat Mar 12 10:53:31 2005
> +++ /usr/ports/irc/kvirc.update/Makefile	Tue Mar 22 20:55:31 2005
> @@ -2,12 +2,11 @@
>  # Date created:        05 January 2004
>  # Whom:                Michael Ranner
>  #
> -# $FreeBSD: ports/irc/kvirc/Makefile,v 1.40 2005/03/12 10:53:31 marcus Exp $
> +# $FreeBSD: ports/irc/kvirc/Makefile,v 1.39 2004/12/19 03:40:40 edwin Exp $

You did not patch against the latest version!

Regards,
-- 
Th. Thomas.
Comment 2 Michael Ranner 2005-03-24 20:45:58 UTC
You could ignore this difference it was only a PORTREVISION bump without
any modifications to the Makefile or the rest of the port. Please continue
to commit, I have diffed the latest Makefile from CVS and my send-pr'd 
one.

Regards
Comment 3 Volker Stolz freebsd_committer 2005-04-15 10:51:25 UTC
State Changed
From-To: open->feedback

Does not build on 4.x: 
c++ -DHAVE_CONFIG_H -I. -I. -I../../../src -I/usr/ports/irc/kvirc/work/kvirc-3.2.0/src/kvilib/include/ -I/usr/ports/irc/kvirc/work/kvirc-3.2.0/src/kvirc/include/ -I/usr/X11R6/include -I/usr/X11R6/include -I/usr/X11R6/include -I/usr/local/include -D_REENTRANT -DREENTRANT -I/usr/X11R6/include -DGLOBAL_KVIRC_DIR="/usr/local/share/kvirc/3.2.0" -I/usr/local/include -I/usr/local/include -I/usr/X11R6/include -D_GETOPT_H -O2 -pipe -g -c notifierwindowtabs.cpp -Wp,-MD,.deps/notifierwindowtabs.TPlo  -fPIC -DPIC -o .libs/notifierwindowtabs.o 
notifierwindowtabs.cpp: In method `void KviNotifierWindowTabs::addMessage(KviWindow *, KviNotifierMessage *)': 
notifierwindowtabs.cpp:231: ambiguous overload for `KviWindow *& ? const QString & : const char[5]' 
notifierwindowtabs.cpp:231: candidates are: operator ?:(bool, QString, QString) <builtin> 
notifierwindowtabs.cpp:231:                 operator ?:(bool, string, basic_string<char,string_char_traits<char>,__default_alloc_template<false,0> >) <builtin> 
notifierwindowtabs.cpp:231:                 operator ?:(bool, const char *, const char *) <builtin> 
gmake[5]: *** [notifierwindowtabs.lo] Error 1 
gmake[5]: Leaving directory `/usr/ports/irc/kvirc/work/kvirc-3.2.0/src/modules/notifier'
Comment 4 Sergey Matveychuk freebsd_committer 2005-04-16 23:18:57 UTC
State Changed
From-To: feedback->closed

Committed, thanks! 
Added patch to fix build on 4.x.